Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# LocationListener

com.google.android.gms.location.LocationListener

## Class Overview

Used for receiving notifications from the `LocationClient` when the location has changed. The methods are called if the LocationListener has been registered with the location client using the `requestLocationUpdates(LocationRequest, LocationListener)` or `requestLocationUpdates(LocationRequest, LocationListener, Looper)` methods.

## Summary

Public Methods
abstract void | onLocationChanged(Location location) Called when the location has changed.

## Public Methods

#### public abstract void onLocationChanged (Location location)

Called when the location has changed.

##### Parameters

location | The updated location.